# **************************************************************************
# *
# * Authors:  J. M. de la Rosa Trevin (delarosatrevin@gmail.com)
# *
# * This program is free software; you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation; either version 3 of the License, or
# * (at your option) any later version.
# *
# * This program is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with this program; if not, write to the Free Software
# * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# * 02111-1307  USA
# *
# *  All comments concerning this program package may be sent to the
# *  e-mail address 'delarosatrevin@gmail.com'
# *
# **************************************************************************

import unittest
import time
from pprint import pprint

from emtools.utils import Timer, System


class TestTimer(unittest.TestCase):

    def test_basics(self):
        t = Timer()
        time.sleep(1)
        t.toc()

        with Timer('Time in context:'):
            time.sleep(2)


class TestSystem(unittest.TestCase):
    def test_funcs(self):
        # Specs
        specs = System.specs()
        self.assertTrue('GPUs' in specs)
        self.assertTrue('CPUs' in specs)
        self.assertGreater(specs['CPUs'], 0)
        print(">>> CPUs: ", specs['CPUs'])
        print(">>> GPUs: ", specs['GPUs'])

        # Hostname
        h = System.hostname()
        print(">>> Hostname: ", h)
        self.assertTrue(bool(h))
